element_siz Class Reference

`#include <open_htj2k_typedef.hpp>`

## Public Member Functions

| element_siz ()
| element_siz (uint32_t x0, uint32_t y0)

## Public Attributes

uint32_t | x
uint32_t | y

## Constructor & Destructor Documentation

## element_siz() [1/2]

element_siz::element_siz | ( |  | ) |

inline

## element_siz() [2/2]

element_siz::element_siz | ( | uint32_t | x0,
|  | uint32_t | y0
| ) |  |

inline

References x, and y.

## Member Data Documentation

## x

uint32_t element_siz::x

Referenced by element_siz(), j2k_region::get_size(), j2k_codeblock::get_state(), ht_cleanup_decode(), ht_magref_decode(), ht_sigprop_decode(), htj2k_decode(), j2k_codeblock::j2k_codeblock(), make_storage(), make_storage_one(), j2k_codeblock::modify_state(), print_block(), and j2k_codeblock::set_MagSgn_and_sigma().

## y

uint32_t element_siz::y

Referenced by element_siz(), j2k_region::get_size(), ht_cleanup_decode(), ht_magref_decode(), ht_sigprop_decode(), htj2k_decode(), j2k_codeblock::j2k_codeblock(), make_storage(), make_storage_one(), print_block(), and j2k_codeblock::set_MagSgn_and_sigma().

The documentation for this class was generated from the following file:

- open_htj2k_typedef.hpp